Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## codeanticode.glgraphics
Interface GLConstants

All Known Implementing Classes:
  GLGraphics, GLGraphicsOffScreen, GLModel, GLModelEffectParameter, GLModelEffectVertexAttrib, GLSLShaderAttribute, GLSLShaderUniform, GLTexture, GLTextureFilterParameter, GLTextureParameters

    public interface GLConstants

This interface class defines constants used in the glgraphics package.

Nested Class Summary
`static class` | `GLConstants.ClickAction`
`static class` | `GLConstants.KeyboardAction`
`static class` | `GLConstants.MouseAction`
`static class` | `GLConstants.MouseHandler`

Field Summary
`static int` | `BACKGROUND_ALPHA`
`static int` | `COLOR` This constant identifies the texture internal format GL_RGBA: 4 color components of 8 bits each, identical as ARGB.
`static int` | `DOUBLE` This constant identifies the texture internal format GL_RGBA32F_ARB: 4 float compontents of 32 bits each.
`static int` | `FLOAT` This constant identifies the texture internal format GL_RGBA16F_ARB: 4 float compontents of 16 bits each.
`static int` | `GL_DEPTH_STENCIL`
`static int` | `GL_DEPTH24_STENCIL8`
`static int` | `GL_UNSIGNED_INT_24_8`
`static java.lang.String` | `GLGRAPHICS` This constant identifies the GLGraphics renderer.
`static int` | `LINE_LOOP`
`static int` | `LINE_STRIP`
`static int` | `LINEAR` This constant identifies the linear texture filter .
`static int` | `LINEAR_MIPMAP_LINEAR` This constant identifies the linear/linear function to build mipmaps .
`static int` | `LINEAR_MIPMAP_NEAREST` This constant identifies the linear/nearest function to build mipmaps .
`static int` | `NEAREST` This constant identifies the nearest texture filter .
`static int` | `NEAREST_MIPMAP_LINEAR` This constant identifies the nearest/linear function to build mipmaps .
`static int` | `NEAREST_MIPMAP_NEAREST` This constant identifies the nearest/nearest function to build mipmaps .
`static int` | `POINT_SPRITES`
`static int` | `TEX_BYTE` This constant identifies an unsigned byte texture buffer.
`static int` | `TEX_FILTER_PARAM_FLOAT`
`static int` | `TEX_FILTER_PARAM_INT` These constants identifies the texture parameter types.
`static int` | `TEX_FILTER_PARAM_MAT2`
`static int` | `TEX_FILTER_PARAM_MAT3`
`static int` | `TEX_FILTER_PARAM_MAT4`
`static int` | `TEX_FILTER_PARAM_VEC2`
`static int` | `TEX_FILTER_PARAM_VEC3`
`static int` | `TEX_FILTER_PARAM_VEC4`
`static int` | `TEX_INT` This constant identifies an integer texture buffer.
`static int` | `TEX_NORM` This constant identifies the texture target GL_TEXTURE_2D, that is, textures with normalized coordinates.
`static int` | `TEX_ONEDIM` This constant identifies the texture target GL_TEXTURE_1D, that is, one-dimensional textures.
`static int` | `TEX_RECT` This constant identifies the texture target GL_TEXTURE_RECTANGLE, that is, textures with non-normalized coordinates

Field Detail

### GLGRAPHICS

    static final java.lang.String GLGRAPHICS

  This constant identifies the GLGraphics renderer.

  See Also:
    Constant Field Values

### TEX_NORM

    static final int TEX_NORM

  This constant identifies the texture target GL_TEXTURE_2D, that is, textures with normalized coordinates.

  See Also:
    Constant Field Values

### TEX_RECT

    static final int TEX_RECT

  This constant identifies the texture target GL_TEXTURE_RECTANGLE, that is, textures with non-normalized coordinates

  See Also:
    Constant Field Values

### TEX_ONEDIM

    static final int TEX_ONEDIM

  This constant identifies the texture target GL_TEXTURE_1D, that is, one-dimensional textures.

  See Also:
    Constant Field Values

### COLOR

    static final int COLOR

  This constant identifies the texture internal format GL_RGBA: 4 color components of 8 bits each, identical as ARGB.

  See Also:
    Constant Field Values

### FLOAT

    static final int FLOAT

  This constant identifies the texture internal format GL_RGBA16F_ARB: 4 float compontents of 16 bits each.

  See Also:
    Constant Field Values

### DOUBLE

    static final int DOUBLE

  This constant identifies the texture internal format GL_RGBA32F_ARB: 4 float compontents of 32 bits each.

  See Also:
    Constant Field Values

### TEX_INT

    static final int TEX_INT

  This constant identifies an integer texture buffer.

  See Also:
    Constant Field Values

### TEX_BYTE

    static final int TEX_BYTE

  This constant identifies an unsigned byte texture buffer.

  See Also:
    Constant Field Values

### NEAREST

    static final int NEAREST

  This constant identifies the nearest texture filter .

  See Also:
    Constant Field Values

### LINEAR

    static final int LINEAR

  This constant identifies the linear texture filter .

  See Also:
    Constant Field Values

### NEAREST_MIPMAP_NEAREST

    static final int NEAREST_MIPMAP_NEAREST

  This constant identifies the nearest/nearest function to build mipmaps .

  See Also:
    Constant Field Values

### LINEAR_MIPMAP_NEAREST

    static final int LINEAR_MIPMAP_NEAREST

  This constant identifies the linear/nearest function to build mipmaps .

  See Also:
    Constant Field Values

### NEAREST_MIPMAP_LINEAR

    static final int NEAREST_MIPMAP_LINEAR

  This constant identifies the nearest/linear function to build mipmaps .

  See Also:
    Constant Field Values

### LINEAR_MIPMAP_LINEAR

    static final int LINEAR_MIPMAP_LINEAR

  This constant identifies the linear/linear function to build mipmaps .

  See Also:
    Constant Field Values

### LINE_STRIP

    static final int LINE_STRIP

See Also:
  Constant Field Values

### LINE_LOOP

    static final int LINE_LOOP

See Also:
  Constant Field Values

### POINT_SPRITES

    static final int POINT_SPRITES

See Also:
  Constant Field Values

### TEX_FILTER_PARAM_INT

    static final int TEX_FILTER_PARAM_INT

  These constants identifies the texture parameter types.

  See Also:
    Constant Field Values

### TEX_FILTER_PARAM_FLOAT

    static final int TEX_FILTER_PARAM_FLOAT

See Also:
  Constant Field Values

### TEX_FILTER_PARAM_VEC2

    static final int TEX_FILTER_PARAM_VEC2

See Also:
  Constant Field Values

### TEX_FILTER_PARAM_VEC3

    static final int TEX_FILTER_PARAM_VEC3

See Also:
  Constant Field Values

### TEX_FILTER_PARAM_VEC4

    static final int TEX_FILTER_PARAM_VEC4

See Also:
  Constant Field Values

### TEX_FILTER_PARAM_MAT2

    static final int TEX_FILTER_PARAM_MAT2

See Also:
  Constant Field Values

### TEX_FILTER_PARAM_MAT3

    static final int TEX_FILTER_PARAM_MAT3

See Also:
  Constant Field Values

### TEX_FILTER_PARAM_MAT4

    static final int TEX_FILTER_PARAM_MAT4

See Also:
  Constant Field Values

### GL_DEPTH_STENCIL

    static final int GL_DEPTH_STENCIL

See Also:
  Constant Field Values

### GL_UNSIGNED_INT_24_8

    static final int GL_UNSIGNED_INT_24_8

See Also:
  Constant Field Values

### GL_DEPTH24_STENCIL8

    static final int GL_DEPTH24_STENCIL8

See Also:
  Constant Field Values

### BACKGROUND_ALPHA

    static final int BACKGROUND_ALPHA

See Also:
  Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

processing library glgraphics by Andres Colubri. (c) 2008